Zum Inhalt springen
Deutsch
Esc
↑↓navigate↵open⌘Jpreview

List buildings

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/buildings
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
contactIdstring
updatedSincestring<date-time>
Responses
200OK
dataobject[]required
Show properties
Array of object
idstringrequired
contactIdstringrequired
namestringrequired
streetstring | anyrequired
Show properties
Any of:
string
string
any
any
postalCodestring | anyrequired
Show properties
Any of:
string
string
any
any
citystring | anyrequired
Show properties
Any of:
string
string
any
any
countryCodestringrequired
buildingTypestring | anyrequired
Show properties
Any of:
string
string
any
any
buildingYearinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
livingAreanumber | anyrequired
Show properties
Any of:
number
number
any
any
notesstring | anyrequired
Show properties
Any of:
string
string
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
hasMorebooleanrequired
Request
curl -X GET "https://app.bauhow.com/api/v1/buildings" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "name": "string",
      "street": "string",
      "postalCode": "string",
      "city": "string",
      "countryCode": "string",
      "buildingType": "string",
      "buildingYear": 0,
      "livingArea": 0,
      "notes": "string",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ],
  "hasMore": true
}